<script type="text/javascript">
    RED.nodes.registerType('rda3 subscribe',{
        category: 'network',
        color: '#a6bbcf',
        defaults: {
            name: {value:""},
            device : {value:""},
            forceddevice : {value:false},
            property : {value:""},
            forcedproperty : {value:false},
            selector : {value:""},
            forcedselector : {value:false}
        },
        inputs:1,
        outputs:1,
        icon: "bridge.svg",
        align: "left",
        label: function() {
            return this.name||"rda3 subscribe";
        },
        outputLabels: "acquired data",
    });
</script>

<script type="text/html" data-template-name="rda3 subscribe">
    <div class="form-row">
        <label for="node-input-name"><i class="icon-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
    <div class="form-row">
        <label for="node-input-device"><i class="icon-tag"></i><span data-i18n="rda3.label.devicename"></span></label>
        <input type="text" id="node-input-device" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.devicename">
    </div>
    <div class="form-row">
        <label for="node-input-property"><i class="icon-tag"></i><span data-i18n="rda3.label.propertyname"></span></label>
        <input type="text" id="node-input-property" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.propertyname">
    </div>
    <div class="form-row">
        <label for="node-input-selector"><i class="icon-tag"></i><span data-i18n="rda3.label.selector"></span></label>
        <input type="text" id="node-input-selector" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.selector">
    </div>
</script>
    
<script type="text/javascript">
    RED.nodes.registerType('rda3 get',{
        category: 'network',
        color: '#a6bbcf',
        defaults: {
            name: {value:""},
            device : {value:""},
            property : {value:""},
            selector : {value:""},
        },
        inputs:1,
        outputs:1,
        icon: "bridge.svg",
        align: "left",
        label: function() {
            return this.name||"rda3 get";
        },
        outputLabels: function() {
            return this._("rda3.label.output");
        },
        inputLabels : function() {
            return this._("rda3.label.input");
        }
    });
</script>

<script type="text/html" data-template-name="rda3 get">
    <div class="form-row">
        <label for="node-input-name"><i class="icon-tag"></i> Name</label>
        <input type="text" id="node-input-name" placeholder="Name">
    </div>
    <div class="form-row">
        <label for="node-input-device"><i class="icon-tag"></i><span data-i18n="rda3.label.devicename"></span></label>
        <input type="text" id="node-input-device" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.devicename">
    </div>
    <div class="form-row">
        <label for="node-input-property"><i class="icon-tag"></i><span data-i18n="rda3.label.propertyname"></span></label>
        <input type="text" id="node-input-property" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.propertyname">
    </div>
    <div class="form-row">
        <label for="node-input-selector"><i class="icon-tag"></i><span data-i18n="rda3.label.selector"></span></label>
        <input type="text" id="node-input-selector" style="width: 50%;" data-i18n="[placeholder]rda3.placeholder.selector">
    </div>
</script>